## org.apache.catalina.storeconfig
Class InstanceListenerSF

    java.lang.Object
      org.apache.catalina.storeconfig.StoreFactoryBase
          org.apache.catalina.storeconfig.InstanceListenerSF

All Implemented Interfaces:
  IStoreFactory

public class InstanceListenerSF
extends StoreFactoryBase

Store Context InstanceListener

Author:
  Peter Rossbach

Field Summary

Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase
`sm`

Constructor Summary
`InstanceListenerSF()`

Method Summary
`void` `store(java.io.PrintWriter aWriter, int indent, java.lang.Object aElement)`

Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase
`getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, storeChilds, storeElement, storeElementArray, storeXMLHead`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstanceListenerSF

    public InstanceListenerSF()

Method Detail

### store

    public void store(java.io.PrintWriter aWriter,
                      int indent,
                      java.lang.Object aElement)
               throws java.lang.Exception

  Specified by:
    `store` in interface `IStoreFactory`
  Overrides:
    `store` in class `StoreFactoryBase`
  Throws:
    `java.lang.Exception`

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.